org.apache.ivy.osgi.core

## Class BundleInfoAdapter.ProfileNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ivy.osgi.core.BundleInfoAdapter.ProfileNotFoundException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  BundleInfoAdapter

    public static class BundleInfoAdapter.ProfileNotFoundException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BundleInfoAdapter.ProfileNotFoundException(java.lang.String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BundleInfoAdapter.ProfileNotFoundException

    public BundleInfoAdapter.ProfileNotFoundException(java.lang.String msg)